%global ext_id matelocker@dersch.hrz.uni-marburg.de

Name:           gnome-shell-extension-mate-locker
Version:        0.3
Release:        1%{?dist}
Summary:        Add lock icon to the panel that will lock the session using MATE screensaver

License:        Unknown
URL:            https://gitlab.hrz.uni-marburg.de/opsi-linux-code/gnome-shell-extension-mate-locker
Source0:        %{name}-%{version}.zip

Requires:       gnome-shell
Requires:       gnome-shell-extension-common
Requires:       mate-screensaver
Requires:       mate-session-manager

Recommends:     gnome-tweaks

BuildArch:      noarch

%description
Add lock icon to the panel that will lock the session using MATE screensaver


%prep
%setup -q


%build


%install
mkdir -p %{buildroot}/usr/share/gnome-shell/extensions/%{ext_id}
cp extension.js lockscreen.install metadata.json %{buildroot}/usr/share/gnome-shell/extensions/%{ext_id}
chmod -R a+r %{buildroot}/usr/share/gnome-shell/extensions/%{ext_id}


%files
%{_datadir}/gnome-shell/extensions/%{ext_id}


%changelog
* Wed Feb 01 2023 Christian Dersch <derschch@hrz.uni-marburg.de> - 0.3-1
- initial package
